# $Revision: 1.8 $, $Date: 2002/08/18 11:57:08 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Singleton
Summary:	Class::singleton perl module
Summary(pl):	Modu perla Class::Singleton
Name:		perl-Class-Singleton
Version:	1.03
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	perl-Class-Sigleton

%description
This is the Class::Singleton module. A Singleton describes an object
class that can have only one instance in any system. An example of
a Singleton might be a print spooler or system registry. This module
implements a Singleton class from which other classes can be derived.
By itself, the Class::Singleton module does very little other than
manage the instantiation of a single object. In deriving a class from
Class::Singleton, your module will inherit the Singleton instantiation
method and can implement whatever specific functionality is required.

%description -l pl
To jest modu Class::Singleton. Singleton opisuje obiekt klasy, ktry
ma tylko jedn instancj w systemie - na przykad serwer wydrukw. Ten
modu implementuje klas Singleton, z ktrej mona dziedziczy inne
klasy. Sam modu Class::Singleton robi niewiele wicej ni samo
zarzdzanie pojedyncz instancj obiektu. Poprzez dziedziczenie z
klasy z Class:Singleton, moduy odziedzicz istnienie pojedynczej
instancji w systemie, a dodatkowo mog mie zaimplementowan waciw
funkcjonalno.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Class/*
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Class-Singleton.spec,v $
Revision 1.8  2002/08/18 11:57:08  blues
license fix

Revision 1.7  2002/05/22 08:40:03  qboosh
- new %%doc

Revision 1.6  2002/05/22 08:39:07  qboosh
- fixed typo in Name, added Obsoletes: for old, wrong name

Revision 1.5  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.4  2002/04/11 13:08:08  qboosh
- descriptions

Revision 1.3  2002/04/11 11:49:24  marcus
- s/CHANGES/Changes

Revision 1.2  2002/04/11 11:45:56  marcus
- fixed %%files

Revision 1.1  2002/04/11 10:46:14  marcus
- initial spec, need fixing!!!
